救命,我升级了几个软件包后,ubuntu图形界面进不去了。

为当前最终发行版之前的所有版本提供支持
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

救命,我升级了几个软件包后,ubuntu图形界面进不去了。

#1

帖子 onlyflyer » 2005-11-10 22:03

情况是这样子的:
scim输入法在一些软件下总是失效,于是我想是不是有些包没有装完全,于是我就加入了breezy的源(原来用的是上海交大的hoary源),并且安装了一些scim相关的包。

在选择好包后,新立得提示要更新很多包,于是我就更新了,但是更新以后就进不了X,具体更新得什么包我忘了,我记得有GCC4.0,libc6.0等等。

我使用了dpkg-reconfigure xserver-xorg也不管用,急死我了

请各位救命啊,我这个ubuntu是用来工作得,我这边上网好贵得(1M7分钱),如果重装得化,各方面损失会好大得。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2005-11-10 22:10

麻烦了。装乱了。而且装得不全,干脆,全部升级到breezy算了。
● 鸣学
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#3

帖子 onlyflyer » 2005-11-11 10:00

全部升级到brezzy,我可升级不起啊。学校上网是1M7分钱。
全部升级到brezzy大概需要多大的下载量啊???!!!

还有就是真的没有别的解决方案吗?一定要全部升级或者全装吗?
我以前真的不知道hoary和brezzy不能混用,能否有相关的文章让我看看,也让我长个记性。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2005-11-11 10:06

把源改回去,update,新立得里面强制版本,降低试试。
● 鸣学
头像
oneleaf
论坛管理员
帖子: 10217
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 102 次

#5

帖子 oneleaf » 2005-11-11 10:13

难,基本上如果不升级就要重新安装,建议找个网吧去下载DVD回来作为源试试升级到breezy。
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#6

帖子 onlyflyer » 2005-11-11 10:31

我看到在backup文件夹下有个dpkg.status的备份文件
其中有一个dpkg.status.1.gz就是我上次11月9号可以使用的状态。

不知道可否通过这个文件,来恢复我原有的包??!!!
如果可以的化,怎么做啊???
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#7

帖子 eexpress » 2005-11-11 10:33

系统不支持这样恢复的。必须手工强制。
● 鸣学
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#8

帖子 onlyflyer » 2005-11-11 15:01

如何进行强制版本?我现在进步了x window了,还能使用新立得吗?

谢谢eexpress,希望你进一步指导。。。
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#9

帖子 onlyflyer » 2005-11-11 16:39

进不了x window了,还能再使用新立得吗?
如果可以,那怎样才能强制版本呢?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2005-11-11 16:51

字符下面。可以用dselect。不过好困难的。而且要很小心。
● 鸣学
tomguy
帖子: 702
注册时间: 2005-09-27 10:32
送出感谢: 0
接收感谢: 0

Re: 救命,我升级了几个软件包后,ubuntu图形界面进不去了。

#11

帖子 tomguy » 2005-11-11 19:41

onlyflyer 写了:情况是这样子的:
scim输入法在一些软件下总是失效,于是我想是不是有些包没有装完全,于是我就加入了breezy的源(原来用的是上海交大的hoary源),并且安装了一些scim相关的包。

在选择好包后,新立得提示要更新很多包,于是我就更新了,但是更新以后就进不了X,具体更新得什么包我忘了,我记得有GCC4.0,libc6.0等等。

我使用了dpkg-reconfigure xserver-xorg也不管用,急死我了

请各位救命啊,我这个ubuntu是用来工作得,我这边上网好贵得(1M7分钱),如果重装得化,各方面损失会好大得。


可怜的人啊,和我一样,我也是没事就升级了一下。症状和你完全一样。可以来看我的帖子:http://forum.ubuntu.org.cn/about5656.html

这一次的升级使我彻底放弃了ubuntu。

我的建议:不要没事乱动系统,ubuntu的apt-get搞不好要出人命的哦。

找张安装盘重装一下得了,省得麻烦。重装损失很大么?你指的损失就是上网费用吧,你把你以前下载的东西备份出来不就完了?你可以把你的var-apt-local-cache目录(大概是这样,不是的话你自己找找)下面你以前用apt-get下载的文件备份出来就行了。你自己安装的大型软件不会没有备份吧,呵呵。

现在我老爸那里用的还是最原始的安装盘装出来的系统呢,只是把firefox升级了一下。也不知道是谁跟我说linux好啊,在也不用像win那样不敢升级了。于是我就放心大胆的升啊升……升死我了。

最后一句话,工作要求必须使用ubuntu?不是的话那就用 XP吧。
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#12

帖子 onlyflyer » 2005-11-11 19:42

我又找到了一台安装ubuntu的机器,将上次出错的过程又进行了一遍,终于知道了升级了哪些数据包。

升级的包有:libc6 libfontconfig1 libgcc1 libglib2.0 liggtk2.0。。。等等。

请问我应改怎么办?是不是用dselect将这些包删除,然后在用hoary的源恢复就可以了?!!!!

请指教
头像
oneleaf
论坛管理员
帖子: 10217
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 102 次

#13

帖子 oneleaf » 2005-11-11 20:12

升级不会有怎么大的问题,只要使用apt-get dist-upgrade 升级就可以。不要使用 apt-get upgrade 来升级。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#14

帖子 eexpress » 2005-11-11 20:12

是啊。最好一次找全。
● 鸣学
tomguy
帖子: 702
注册时间: 2005-09-27 10:32
送出感谢: 0
接收感谢: 0

#15

帖子 tomguy » 2005-11-12 3:11

oneleaf 写了:升级不会有怎么大的问题,只要使用apt-get dist-upgrade 升级就可以。不要使用 apt-get upgrade 来升级。


很明显,这位兄弟是在新立得下边直接升级的。也不知道新立得用的是什么命令。

我就不同了,我用的可是正宗的apt-get dist-upgrade噢。
回复

回到 “老旧版本支持”